/*
 * SheetPropertyValueChanged.java
 *
 * Created on 6 maggio 2005, 1.46
 */

package it.businesslogic.ireport.gui.event;

/**
 *
 * @author  Administrator
 */
public class SheetPropertyValueChangedEvent {
    
    private String propertyName = null;
    private Object oldValue = null;
    private Object newValue = null;
    private Object source = null;
    /** Creates a new instance of SheetPropertyValueChanged */
    public SheetPropertyValueChangedEvent(String propertyName,
                                          Object oldValue,
                                          Object newValue,
                                          Object source) {
                                          
                                                   
         this.setPropertyName(propertyName);
                  this.setNewValue(newValue);
                  this.setOldValue(oldValue);
                  this.setSource(source);
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Object getOldValue() {
        return oldValue;
    }

    public void setOldValue(Object oldValue) {
        this.oldValue = oldValue;
    }

    public Object getNewValue() {
        return newValue;
    }

    public void setNewValue(Object newValue) {
        this.newValue = newValue;
    }

    public Object getSource() {
        return source;
    }

    public void setSource(Object source) {
        this.source = source;
    }
    
}
